package com.ruoyi.gysl.entity.response;

import com.ruoyi.gysl.entity.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 项目的所有信息返回实体类
 *
 * @author du
 * @since 2025/3/23 13:22
 */
@Data
public class BasicInformationResponse {

    @ApiModelProperty("项目基本信息")
    private BasicInformation basicInformation;

    @ApiModelProperty("项目规划信息")
    private PlanInformation planInformation;

    @ApiModelProperty("项目建筑信息")
    private List<BuildingInformation> buildingInformation;

    @ApiModelProperty("五要素模型信息")
    private List<WysmxResponse> wysmxResponses;

    @ApiModelProperty("企业入驻信息")
    private QyrzInformation qyrzInformation;

    @ApiModelProperty("项目图例信息")
    private List<ProjectLegendResponse> projectLegendResponses;

    @ApiModelProperty("项目巡礼信息")
    private List<Xmxl> xmxl;

    @ApiModelProperty("项目备忘录")
    private List<ProjectRemark> projectRemarks;

    @ApiModelProperty("其他信息")
    private List<ProjectOtherInfo> projectOtherInfos;
}
