package com.ruoyi.gysl.entity.response;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 项目基本信息对应的项目建筑信息
 * @author du
 * @since 2025/3/17 9:38
 */
@Data
public class ProjectBuildingExcel {

    @Excel(name = "层数",group = "项目建筑信息")
    @ApiModelProperty(value = "层数")
    private Integer floor;

    @Excel(name = "总建筑高度",group = "项目建筑信息")
    @ApiModelProperty(value = "总建筑高度")
    private BigDecimal totalBuildingHeight;

    @Excel(name = "首层高度",group = "项目建筑信息")
    @ApiModelProperty(value = "首层高度")
    private BigDecimal scgd;

    @Excel(name = "2至4层高",group = "项目建筑信息")
    @ApiModelProperty(value = "2至4层高")
    private BigDecimal twoAndFourCg;

    @Excel(name = "4层以上层高",group = "项目建筑信息")
    @ApiModelProperty(value = "4层以上层高")
    private BigDecimal fourYscg;
}
