package com.ruoyi.gysl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.gysl.entity.Xmxl;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目巡礼(Xmxl)表数据库访问层
 *
 * @author makejava
 * @since 2025-03-19 14:19:21
 */
public interface XmxlMapper extends BaseMapper<Xmxl> {


    /**
     * 分页查询所有数据
     *
     * @param zwIdPageReq 查询实体
     * @return 所有数据
     */
    List<Xmxl> list( @Param("req") ZwIdPageReq zwIdPageReq);
}

