package com.ruoyi.gysl.mapper;

import com.ruoyi.docking.entity.SmartDeclaration;
import com.ruoyi.gysl.entity.stats.AllProjectResponse;
import com.ruoyi.gysl.entity.stats.RibbonResponse;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 政务统计数据库访问层
 *
 * @author makejava
 * @since 2025-03-22 11:11:55
 */
public interface ZwStatsMapper {
    /**
     * 项目情况
     */
    AllProjectResponse allProject();

    /**
     * 功能区
     */
    List<RibbonResponse> ribbon();

    /**
     * 投资主体
     */
    List<RibbonResponse> investors();

    /**
     * 消息通知
     */
    List<SmartDeclaration> zwNotice(@Param("userId") Long userId);

    /**
     * 政务消息通知数量
     */
    int zwNoticeCount(@Param("userId") Long userId);
}

