package com.ruoyi.gysl.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.gysl.entity.Xfcygl;
import com.ruoyi.gysl.entity.request.XfcyglPageReq;

import java.util.List;

/**
 * 细分产业管理(Xfcygl)表服务接口
 *
 * @author makejava
 * @since 2025-03-22 10:39:47
 */
public interface XfcyglService extends IService<Xfcygl> {


    /**
     * 分页查询所有数据
     *
     * @param page 分页对象
     * @param req 查询实体
     * @return 所有数据
     */
    Page<Xfcygl> page(Page<Xfcygl> page, XfcyglPageReq req);

    /**
     * 查询所有数据
     *
     * @param req 查询实体
     * @return 所有数据
     */
    List<Xfcygl> page( XfcyglPageReq req);
}

