package com.ruoyi.gysl.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.gysl.entity.baseModel.BaseModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 项目备忘录(ProjectRemark)表实体类
 *
 * @author makejava
 * @since 2025-03-19 10:49:35
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("gysl_project_remark")
public class ProjectRemark  extends BaseModel implements Serializable {

    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("项目id")
    private Long xmId;

    @ApiModelProperty("备注")
    private String remark;
}

