package com.ruoyi.gysl.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.gysl.entity.baseModel.BaseModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 五要素模型信息(WysmxInformation)实体类
 *
 * @author makejava
 * @since 2025-02-24 14:29:58
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("gysl_wysmx_information")
@ApiModel(value = "WysmxInformation", description = "五要素模型信息")
public class WysmxInformation extends BaseModel implements Serializable {
    private static final long serialVersionUID = 285216252862855830L;

    @ApiModelProperty(value = "${column.comment}")
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 项目id
     */
    @ApiModelProperty(value = "项目id")
    private Long xmId;

    @ApiModelProperty("要素名称")
    private String ysmc;

    @ApiModelProperty("键")
    private String zdname;

    @ApiModelProperty("值")
    private String zdinfor;

}
