package com.ruoyi.gysl.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.gysl.entity.baseModel.BaseModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 细分产业管理(Xfcygl)表实体类
 *
 * @author makejava
 * @since 2025-03-22 10:39:47
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("gysl_xfcygl")
public class Xfcygl extends BaseModel implements Serializable {

    @ApiModelProperty(value = "主键id")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "产业类别")
    private String cylb;

    @ApiModelProperty(value = "产业细分")
    private String cyxf;

    @ApiModelProperty(value = "原材料及生产环节")
    private String ycljschj;

    @ApiModelProperty(value = "上楼适应性")
    private Integer slsyx;
}

