package com.ruoyi.gysl.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.gysl.entity.baseModel.BaseModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * 项目评价清单(Xmpjqd)表实体类
 *
 * @author makejava
 * @since 2025-03-22 09:22:33
 */
@Data
@TableName("gysl_xmpjqd")
public class Xmpjqd implements Serializable {

    @ApiModelProperty(value = "主键id")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "项目名称")
    private String name;

    @ApiModelProperty(value = "项目建设开始时间 yyyy-MM")
    @DateTimeFormat(pattern = "yyyy-MM")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM", timezone = "GMT+8")
    private LocalDate begainTime;

    @ApiModelProperty(value = "项目建设结束时间 yyyy-MM")
    @DateTimeFormat(pattern = "yyyy-MM")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM", timezone = "GMT+8")
    private LocalDate endTime;

    @ApiModelProperty(value = "现状分类")
    private Integer xzfl;

    @ApiModelProperty(value = "评价等级")
    private Integer pjdj;

    @ApiModelProperty(value = "总数")
    private Integer count;

    @ApiModelProperty(value = "项目法人单位")
    private String xmfrdwxz;
}

