package com.ruoyi.gysl.entity.response;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 项目导出信息
 * @author du
 * @since 2025/3/14 14:01
 */
@Data
public class ProjectExcelInfo {

    //--基本信息
    @Excel(name="id",group = "序号")
    @ApiModelProperty("序号")
    private String id;

    @Excel(name = "项目名称",group = "项目基础信息")
    @ApiModelProperty("项目名称")
    private String name;

    @Excel(name = "项目法人单位",group = "项目基础信息")
    @ApiModelProperty("项目法人单位")
    private String xmfrdwxz;

    @Excel(name = "项目法人单位性质",group = "项目基础信息")
    @ApiModelProperty("项目法人单位性质")
    private Integer nature;

    //--规划信息
    @Excel(name = "总用地面积",group = "项目规划信息")
    @ApiModelProperty(value = "总用地面积")
    private BigDecimal zydmj;

    @Excel(name = "容积率",group = "项目规划信息")
    @ApiModelProperty(value = "容积率")
    private BigDecimal rjl;

    @Excel(name = "总建筑面积",group = "项目规划信息")
    @ApiModelProperty(value = "总建筑面积")
    private BigDecimal zjzmj;

    @Excel(name = "标准层建筑面积",group = "项目规划信息")
    @ApiModelProperty(value = "标准层建筑面积")
    private BigDecimal bzcjzmj;

    //--建筑信息
    private List<ProjectBuildingExcel> xmjzxx;
}
