package com.ruoyi.gysl.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;
import com.ruoyi.gysl.mapper.ProjectOtherInfoMapper;
import com.ruoyi.gysl.entity.ProjectOtherInfo;
import com.ruoyi.gysl.service.ProjectOtherInfoService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 项目其他信息(ProjectOtherInfo)表服务实现类
 *
 * @author makejava
 * @since 2025-03-19 10:49:22
 */
@Service("projectOtherInfoService")
public class ProjectOtherInfoServiceImpl extends ServiceImpl<ProjectOtherInfoMapper, ProjectOtherInfo> implements ProjectOtherInfoService {

    /**
     * 根据项目id查询项目其他信息
     *
     * @param zwIdPageReq 查询实体
     * @return 所有数据
     */
    @Override
    public List<ProjectOtherInfo> searchId(ZwIdPageReq zwIdPageReq) {
        return baseMapper.searchId(zwIdPageReq);
    }
}

