package com.ruoyi.gysl.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.gysl.mapper.XfcyglMapper;
import com.ruoyi.gysl.entity.Xfcygl;
import com.ruoyi.gysl.entity.request.XfcyglPageReq;
import com.ruoyi.gysl.service.XfcyglService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 细分产业管理(Xfcygl)表服务实现类
 *
 * @author makejava
 * @since 2025-03-22 10:39:47
 */
@Service("xfcyglService")
public class XfcyglServiceImpl extends ServiceImpl<XfcyglMapper, Xfcygl> implements XfcyglService {

    /**
     * 分页查询所有数据
     *
     * @param page 分页对象
     * @param req 查询实体
     * @return 所有数据
     */
    @Override
    public Page<Xfcygl> page(Page<Xfcygl> page, XfcyglPageReq req) {
        return baseMapper.page(page,req);
    }

    /**
     * 查询所有数据
     *
     * @param req 查询实体
     * @return 所有数据
     */
    @Override
    public List<Xfcygl> page(XfcyglPageReq req) {
        return baseMapper.page(req);
    }
}

